Name:           ocaml-pcre
Version:        7.1.5
Release:        %mkrel 2
Summary:        Perl compatibility regular expressions for OCaml
URL:            http://mmottl.github.io/pcre-ocaml/
Source0:        https://github.com/mmottl/pcre-ocaml/archive/v%{version}.zip
License:        LGPLv2 with linking exception
Group:          Development/OCaml
BuildRequires:  ocaml-compiler
BuildRequires:  pcre-devel
BuildRequires:  ocaml-findlib
Conflicts:      %{name}-devel < 5.12.2
Requires:       pcre-devel

%description
This OCaml-library interfaces the PCRE (Perl-compatibility regular
expressions) library which is written in C. it can be used for matching
regular expressions which are written in "PERL"-style.
  
Searching for, replacing or splitting text should become much easier with
this library.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       pcre-devel
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n pcre-ocaml-%{version}

%build
make
make doc
mv _build/API.docdir/ html/

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install

%files
%doc README.md COPYING.txt AUTHORS.txt CHANGES.txt
%dir %{_libdir}/ocaml/pcre
%{_libdir}/ocaml/pcre/*.cmi
%{_libdir}/ocaml/pcre/*.cma
%{_libdir}/ocaml/pcre/*.cmxs
%{_libdir}/ocaml/pcre/*.a
%{_libdir}/ocaml/pcre/META
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc examples/
%doc html/
%{_libdir}/ocaml/pcre/pcre.a
%{_libdir}/ocaml/pcre/*.cmxa
%{_libdir}/ocaml/pcre/*.cmx
%{_libdir}/ocaml/pcre/*.mli
%{_libdir}/ocaml/pcre/*.annot
%{_libdir}/ocaml/pcre/*.cmt
%{_libdir}/ocaml/pcre/*.cmti


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 7.1.5-2.mga6
+ Revision: 1056432
- Rebuild for fix in ocaml

* Fri Jan 29 2016 pterjan <pterjan> 7.1.5-1.mga6
+ Revision: 928692
- Update to 7.1.5

* Wed Oct 15 2014 umeabot <umeabot> 7.1.1-3.mga5
+ Revision: 745000
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.1.1-2.mga5
+ Revision: 683084
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 7.1.1-1.mga5
+ Revision: 673927
- sync files and drop upstreamed patches
- update to 7.1.1

* Sat Oct 19 2013 umeabot <umeabot> 7.0.2-9.mga4
+ Revision: 533876
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 blue_prawn <blue_prawn> 7.0.2-8.mga4
+ Revision: 475745
- rebuild for ocaml-4.01.0

* Sun Jan 13 2013 umeabot <umeabot> 7.0.2-7.mga3
+ Revision: 361562
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 7.0.2-6.mga3
+ Revision: 323727
- rebuild for new pcre

* Wed Oct 17 2012 malo <malo> 7.0.2-5.mga3
+ Revision: 307708
- rebuild for ocaml-4.0.1;

* Mon Oct 01 2012 blue_prawn <blue_prawn> 7.0.2-4.mga3
+ Revision: 301406
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 7.0.2-2.mga3
+ Revision: 300164
- new rpm group for ocaml

* Wed Aug 22 2012 blue_prawn <blue_prawn> 7.0.2-1.mga3
+ Revision: 283027
- updated to last version 7.0.2
- spec clean-up

* Sat Jan 14 2012 malo <malo> 6.2.5-1.mga2
+ Revision: 195978
- new version 6.2.5
- removed substitution on META (upstream is now correct)

* Sat Dec 10 2011 malo <malo> 6.2.3-2.mga2
+ Revision: 180428
- missing Requires to pcre-devel

* Sat Dec 03 2011 malo <malo> 6.2.3-1.mga2
+ Revision: 175711
- spec clean-up
- fixing bytecode linking to pcre by always shipping libpcre_stubs.a
- new version 0.6.3

* Wed Oct 05 2011 shlomif <shlomif> 6.2.2-3.mga2
+ Revision: 152007
- Add a comment
- Avoid per cent-make to make the build non-parallel because there seems to be a problem in the package's build system
- New release to force rebuild for sources.
- New Release thanks to Malo.

  + fwang <fwang>
    - rebuild for new ocaml

* Mon Mar 07 2011 saispo <saispo> 6.1.0-1.mga1
+ Revision: 66136
- imported package ocaml-pcre

